Skip to main content

Pagination

Most Get All endpoints support pagination to allow fetching multiple items in bulk. Each Get All endpoint shares a common response structure.

Offset Pagination​

Request​

cURLGET

Query Parameters​

ParameterRequiredTypeDefaultDescription
pagefalseinteger1Page number of the results to return.
sizefalseinteger20Number of results per page to return. Maximum size of 100 results.

Response​

{
"pagination": {
"totalItems": 924,
"page": 2,
"size": 10,
"totalPages": 93
},
"data": [
{...},
{...},
{...}
]
}

Offset Pagination Object​

AttributeTypeDescription
paginationpagination metadataPagination metadata for the response
dataarrayQuery results of the request. See list endpoint resource for response schema definition

Offset Pagination Metadata Object​

AttributeTypeDescription
totalItemsintegerTotal number of items in the tenant
pageintegerCurrent page number. Should match page query parameter.
sizeintegerThe size of each page. Should match size query parameter.
totalPagesintegerThe total number of pages.